commit:     087ced48f64bcc4a34a60cb09fc2db9360fad564
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Thu May 19 17:22:11 2022 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Thu May 19 17:23:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=087ced48

net-misc/netifrc: depend on a dhcp client by default

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 net-misc/netifrc/metadata.xml            |  3 ++
 net-misc/netifrc/netifrc-0.7.3-r1.ebuild | 71 ++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/net-misc/netifrc/metadata.xml b/net-misc/netifrc/metadata.xml
index 19c1e2b9b47a..4f718879b413 100644
--- a/net-misc/netifrc/metadata.xml
+++ b/net-misc/netifrc/metadata.xml
@@ -8,4 +8,7 @@
                This package contains the Gentoo network interface management
                scripts, which were separated from OpenRC.
        </longdescription>
+       <use>
+               <flag name="dhcp">Allow interfaces to configure via DHCP</flag>
+       </use>
 </pkgmetadata>

diff --git a/net-misc/netifrc/netifrc-0.7.3-r1.ebuild 
b/net-misc/netifrc/netifrc-0.7.3-r1.ebuild
new file mode 100644
index 000000000000..64bea176c13c
--- /dev/null
+++ b/net-misc/netifrc/netifrc-0.7.3-r1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd udev
+
+DESCRIPTION="Gentoo Network Interface Management Scripts"
+HOMEPAGE="https://www.gentoo.org/proj/en/base/openrc/";
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/netifrc.git";
+       #EGIT_REPO_URI="https://github.com/gentoo/${PN}"; # Alternate
+       inherit git-r3
+else
+       SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.gz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="+dhcp"
+
+DEPEND="!<sys-fs/udev-172"
+RDEPEND="sys-apps/gentoo-functions
+       >=sys-apps/openrc-0.15
+       !<sys-fs/udev-init-scripts-27
+       dhcp? ( || ( net-misc/dhcpcd net-misc/dhcp[client] ) )"
+BDEPEND="kernel_linux? ( virtual/pkgconfig )"
+
+src_prepare() {
+       if [[ ${PV} == "9999" ]] ; then
+               local ver="git-${EGIT_VERSION:0:6}"
+               sed -i "/^GITVER[[:space:]]*=/s:=.*:=${ver}:" mk/git.mk || die
+               einfo "Producing ChangeLog from Git history"
+               GIT_DIR="${S}/.git" git log >"${S}"/ChangeLog
+       fi
+
+       default
+}
+
+src_compile() {
+       MAKE_ARGS="${MAKE_ARGS}
+               UDEVDIR=${EPREFIX}$(get_udevdir)
+               LIBEXECDIR=${EPREFIX}/lib/${PN} PF=${PF}"
+
+       use prefix && MAKE_ARGS+=" MKPREFIX=yes PREFIX=${EPREFIX}"
+
+       emake ${MAKE_ARGS} all
+}
+
+src_install() {
+       emake ${MAKE_ARGS} DESTDIR="${D}" install
+       dodoc README CREDITS FEATURE-REMOVAL-SCHEDULE STYLE TODO
+
+       # Install the service file
+       LIBEXECDIR="${EPREFIX}/lib/${PN}"
+       UNIT_DIR="$(systemd_get_systemunitdir)"
+       sed "s:@LIBEXECDIR@:${LIBEXECDIR}:" "${S}/systemd/net_at.service.in" > 
"${T}/net_at.service" || die
+       systemd_newunit "${T}/net_at.service" 'net@.service'
+       dosym "${UNIT_DIR#${EPREFIX}}/net@.service" 
"${UNIT_DIR#${EPREFIX}}/net@lo.service"
+}
+
+pkg_postinst() {
+       if [[ ! -e "${EROOT}"/etc/conf.d/net && -z ${REPLACING_VERSIONS} ]]; 
then
+               elog "The network configuration scripts will use dhcp by"
+               elog "default to set up your interfaces."
+               elog "If you need to set up something more complete, see"
+               elog "${EROOT}/usr/share/doc/${P}/README"
+       fi
+}

Reply via email to